GNU bug report logs - #46990
28.0.50; popup menu not navigable via arrow keys on lucid build

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Colin Baxter <m43cap@HIDDEN>; dated Sun, 7 Mar 2021 16:59:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 46990 <at> debbugs.gnu.org:


Received: (at 46990) by debbugs.gnu.org; 11 Mar 2021 14:25:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 11 09:25:55 2021
Received: from localhost ([127.0.0.1]:52883 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lKMGB-0006fS-15
	for submit <at> debbugs.gnu.org; Thu, 11 Mar 2021 09:25:55 -0500
Received: from heytings.org ([95.142.160.155]:51674)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lKMG9-0006fJ-NE
 for 46990 <at> debbugs.gnu.org; Thu, 11 Mar 2021 09:25:54 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1615472752;
 bh=aDV6gX2qy96kX3Wx6DxK2zRvctFzRnmTyrWZ2R5NIAI=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=D75IMXyL9ORhIvLLJr0+TM+YJUoxL/mho02d2WnnqfmvHNOycmUGVHMMOU4jkrhfd
 GHFD9VVtaBD77kUS/R3fynW9w8/oEbWMsznsAfLznqx8uWujsAqLxyhFpP7od+ZfCU
 FGt4O3tkrVVWLV1vWtARfzVo5I2BIpTp4mM57HMOzWPRlDgM5LsrW1E77XpZU5umPS
 JEN/PCvZJLXYdIOoFkSa+tBgvj8/Al53nst0sjHGtrd3GDBQETqQw4EeS4SfabgT05
 3TDG4jMm68Zyp7vtZIVsJN+w/GbMTjea8xECQn3dthOET69RWfMx2gDPMHac12uI7E
 k1W5KDZlKrkdw==
Date: Thu, 11 Mar 2021 14:25:52 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#46990: 28.0.50; popup menu not navigable via arrow keys on
 lucid build
In-Reply-To: <83mtv9n605.fsf@HIDDEN>
Message-ID: <30f0a4188e4acfe148f4@HIDDEN>
References: <87pn0alx4d.fsf@HIDDEN> <87ft15dici.fsf@HIDDEN>
 <87wnuhlnwd.fsf@HIDDEN> <83im5yonpn.fsf@HIDDEN>
 <87zgzassr8.fsf@HIDDEN> <83czw6ojyd.fsf@HIDDEN>
 <9914d67ab1e37ee22af8@HIDDEN> <87k0qdsvbs.fsf@HIDDEN>
 <87a6r9su29.fsf@HIDDEN> <83mtv9n605.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 46990
Cc: 46990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> This could point to the portable dumper as the culprit (more accurately, 
> something we do wrongly when producing the pdmp file),
>

No, because this behavior predates the portable dumper.  In the previous 
test I went back to revision 5b464a9cea of the trunk three years ago; now 
I went a bit further and the same behavior is also present in 62e170072e 
six years ago.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46990; Package emacs. Full text available.

Message received at 46990 <at> debbugs.gnu.org:


Received: (at 46990) by debbugs.gnu.org; 11 Mar 2021 14:02:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 11 09:02:12 2021
Received: from localhost ([127.0.0.1]:52829 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lKLtE-00066K-8p
	for submit <at> debbugs.gnu.org; Thu, 11 Mar 2021 09:02:12 -0500
Received: from eggs.gnu.org ([209.51.188.92]:32928)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lKLtC-000668-U4
 for 46990 <at> debbugs.gnu.org; Thu, 11 Mar 2021 09:02:11 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38924)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lKLt7-0006ot-9X; Thu, 11 Mar 2021 09:02:05 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3214
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lKLt2-0007M0-N9; Thu, 11 Mar 2021 09:02:03 -0500
Date: Thu, 11 Mar 2021 16:02:02 +0200
Message-Id: <83mtv9n605.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Colin Baxter <m43cap@HIDDEN>
In-Reply-To: <87a6r9su29.fsf@HIDDEN> (message from Colin Baxter on Thu, 11
 Mar 2021 13:23:26 +0000)
Subject: Re: bug#46990: 28.0.50;
 popup menu not navigable via arrow keys on lucid build
References: <87pn0alx4d.fsf@HIDDEN> <87ft15dici.fsf@HIDDEN>
 <87wnuhlnwd.fsf@HIDDEN> <83im5yonpn.fsf@HIDDEN>
 <87zgzassr8.fsf@HIDDEN> <83czw6ojyd.fsf@HIDDEN>
 <9914d67ab1e37ee22af8@HIDDEN> <87k0qdsvbs.fsf@HIDDEN>
 <87a6r9su29.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46990
Cc: 46990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Colin Baxter <m43cap@HIDDEN>
> Date: Thu, 11 Mar 2021 13:23:26 +0000
> 
>     Colin> Investigating further, I find that if I launch a lucid
>     Colin> "emacs-28" via
> 
>     Colin> src/temacs -Q
> 
>     Colin> and evaluate (menu-bar-mode -1) then the popup menu, formed
>     Colin> from <f10>, does indeed allow navigation from the arrow keys
>     Colin> (as well as the mouse). Only launching "emacs-28" from the
>     Colin> following
> 
>     Colin> 1. src/emacs -Q 2. src/bootstrap-emacs -Q
>     Colin> 3. src/emacs-28.0.50.1 -Q
> 
>     Colin> fails to allow the popup menu-bar to be navigable from the
>     Colin> arrow keys.
> 
> 
> If I miss out the batch option and make an emacs by
> 
> ./temacs -l loadup --temacs=pdump
> 
> then ./emacs -Q will allow the popup menu to be navigable via the arrow
> keys.

This could point to the portable dumper as the culprit (more
accurately, something we do wrongly when producing the pdmp file), but
then why does the installed Emacs behave correctly: it also starts
from the same pdmp file as when you invoke it uninstalled.  Hmm...

Thanks for the data points, anyway.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46990; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Mar 2021 13:23:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 11 08:23:40 2021
Received: from localhost ([127.0.0.1]:52790 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lKLHw-0005Aq-IX
	for submit <at> debbugs.gnu.org; Thu, 11 Mar 2021 08:23:40 -0500
Received: from lists.gnu.org ([209.51.188.17]:48518)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lKLHs-0005Ag-LR
 for submit <at> debbugs.gnu.org; Thu, 11 Mar 2021 08:23:39 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:39602)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lKLHs-0003ty-F2
 for bug-gnu-emacs@HIDDEN; Thu, 11 Mar 2021 08:23:36 -0500
Received: from ciao.gmane.io ([116.202.254.214]:52566)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lKLHq-0002js-OW
 for bug-gnu-emacs@HIDDEN; Thu, 11 Mar 2021 08:23:36 -0500
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lKLHo-00006i-JN
 for bug-gnu-emacs@HIDDEN; Thu, 11 Mar 2021 14:23:32 +0100
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Colin Baxter <m43cap@HIDDEN>
Subject: Re: bug#46990: 28.0.50;
 popup menu not navigable via arrow keys on lucid build
Date: Thu, 11 Mar 2021 13:23:26 +0000
Message-ID: <87a6r9su29.fsf@HIDDEN>
References: <87pn0alx4d.fsf@HIDDEN> <87ft15dici.fsf@HIDDEN>
 <87wnuhlnwd.fsf@HIDDEN> <83im5yonpn.fsf@HIDDEN>
 <87zgzassr8.fsf@HIDDEN> <83czw6ojyd.fsf@HIDDEN>
 <9914d67ab1e37ee22af8@HIDDEN> <87k0qdsvbs.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Cancel-Lock: sha1:gnRm7U3i4Qgrrf7OgwvmYzKv4Us=
X-Face: BHjiJOg/Qm<l.(R#\p-0{gCp3du3*)G~PJYQ[6fRR<L#QZ,~":E9WQ,|'jw;k
 9xPEKXwL%6nfC:T>j'BQgsAKL@])L)e62P)C"Y=6T
Face: iVBORw0KGgoAAAANSUhEUgAAAGQAAAAeBAMAAAAodabAAAAAB3RJTUUH1wQdAAY04/L8hgAA
 AAlwSFlzAAAewQAAHsEBw2lUUwAAAARnQU1BAACxjwv8YQUAAAASUExURc7OzpwAAAAAAP////8A
 AGNj/2aqqTQAAAA8SURBVHjaYzA2NnEBAmdj01D8wNgYpM7F2JiBgYFREAgEGJiU8AMGBpA6QaCG
 UVtGbRm1ZdSWUVsGjS0Aq20lJnMawnkAAAAASUVORK5CYII=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: -13
X-Spam_score: -1.4
X-Spam_bar: -
X-Spam_report: (-1.4 / 5.0 requ) BAYES_00=-1.9, FREEMAIL_FORGED_FROMDOMAIN=0.25,
 FREEMAIL_FROM=0.001, HEADER_FROM_DIFFERENT_DOMAINS=0.25, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.9 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.9 (-)


>>>>> Gregory Heytings <gregory@HIDDEN> writes:
    >>>>> Can you or someone who sees the problem please bisect this?
    >>>>> I'm delaying the release of Emacs 27.2 in the hope that we
    >>>>> could fix it, if indeed this was introduced between 27.1.90
    >>>>> and 27.1.91.
    >>>> 
    >>>> I may be guilty of crying wolf when there is none. If I
    >>>> configure the 27.1.91 pretest for lucid and "make", the effect
    >>>> does occur on launching emacs via src/emacs. However if I go
    >>>> the next step and "make install", the effect does not occur
    >>>> when I launch the installed emacs. I will double-check this by
    >>>> installing from the git master branch and report back.
    >>>> 
    >>>> I am sorry. I stupidly assumed launching emacs from an src
    >>>> directory would give the same beast as launching from the
    >>>> installed bin directory.
    >>> 
    >>> No need to be sorry: your assumption was correct.  Emacs should
    >>> generally work the same when you run it uninstalled.  It is
    >>> strange that it doesn't in this case.
    >>> 

    >> It seems that what Colin describes is an old (and indeed strange)
    >> behavior.  I just tried (on Debian GNU/Linux) various revisions
    >> of the trunk (up to 5b464a9cea from three years ago), and with
    >> --with-x-toolkit=lucid the menu cannot be navigated with arrow
    >> keys with an uninstalled emacs, and can be navigated with an
    >> installed one.

    Colin> Investigating further, I find that if I launch a lucid
    Colin> "emacs-28" via

    Colin> src/temacs -Q

    Colin> and evaluate (menu-bar-mode -1) then the popup menu, formed
    Colin> from <f10>, does indeed allow navigation from the arrow keys
    Colin> (as well as the mouse). Only launching "emacs-28" from the
    Colin> following

    Colin> 1. src/emacs -Q 2. src/bootstrap-emacs -Q
    Colin> 3. src/emacs-28.0.50.1 -Q

    Colin> fails to allow the popup menu-bar to be navigable from the
    Colin> arrow keys.


If I miss out the batch option and make an emacs by

./temacs -l loadup --temacs=pdump

then ./emacs -Q will allow the popup menu to be navigable via the arrow
keys.

This is about as far as my knowledge will allow. I will leave it to
others to decide what it all means.

Best wishes,

Colin Baxter.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46990; Package emacs. Full text available.

Message received at 46990 <at> debbugs.gnu.org:


Received: (at 46990) by debbugs.gnu.org; 11 Mar 2021 12:56:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 11 07:56:19 2021
Received: from localhost ([127.0.0.1]:52773 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lKKrS-0004Wj-VJ
	for submit <at> debbugs.gnu.org; Thu, 11 Mar 2021 07:56:19 -0500
Received: from forward104j.mail.yandex.net ([5.45.198.247]:48717)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m43cap@HIDDEN>) id 1lKKrQ-0004WU-Lq
 for 46990 <at> debbugs.gnu.org; Thu, 11 Mar 2021 07:56:17 -0500
Received: from sas1-a9957863b207.qloud-c.yandex.net
 (sas1-a9957863b207.qloud-c.yandex.net
 [IPv6:2a02:6b8:c08:f200:0:640:a995:7863])
 by forward104j.mail.yandex.net (Yandex) with ESMTP id 279AD4A26FB;
 Thu, 11 Mar 2021 15:56:10 +0300 (MSK)
Received: from sas8-b61c542d7279.qloud-c.yandex.net
 (sas8-b61c542d7279.qloud-c.yandex.net [2a02:6b8:c1b:2912:0:640:b61c:542d])
 by sas1-a9957863b207.qloud-c.yandex.net (mxback/Yandex) with ESMTP id
 BybhoIOK7U-u9Ii0Qcp; Thu, 11 Mar 2021 15:56:10 +0300
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.com; s=mail;
 t=1615467370; bh=0t6zRRMMDsEXxlxrsoIzukeCUzIVUV2wJgRxnPjthpQ=;
 h=In-Reply-To:Subject:To:From:Message-ID:Cc:Cc:Date:References;
 b=kUxvXDRDiDkLGgX+jmNBPJ/ZEt4wgcs5iyJ8QVGVSktaDlITyKrplKR2QLY7QJrKs
 KOuX8h6J8uCaTziHIIz/8Z9snRGYjDXs2zajVAEpaSaUHzkjqw7/f+GgbvEfsgLPyx
 b2YbvT4/90Vzq3axjt7GKqals7KT9PDcSrTlBQHI=
Authentication-Results: sas1-a9957863b207.qloud-c.yandex.net;
 dkim=pass header.i=@yandex.com
Received: by sas8-b61c542d7279.qloud-c.yandex.net (smtp/Yandex) with ESMTPSA
 id 1tHTVtpAVh-u8pCiNd0; Thu, 11 Mar 2021 15:56:08 +0300
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (Client certificate not present)
From: Colin Baxter <m43cap@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: Re: bug#46990: 28.0.50; popup menu not navigable via arrow keys on
 lucid build
References: <87pn0alx4d.fsf@HIDDEN> <87ft15dici.fsf@HIDDEN>
 <87wnuhlnwd.fsf@HIDDEN> <83im5yonpn.fsf@HIDDEN>
 <87zgzassr8.fsf@HIDDEN> <83czw6ojyd.fsf@HIDDEN>
 <9914d67ab1e37ee22af8@HIDDEN>
X-Face: BHjiJOg/Qm<l.(R#\p-0{gCp3du3*)G~PJYQ[6fRR<L#QZ,~":E9WQ,|'jw;k
 9xPEKXwL%6nfC:T>j'BQgsAKL@])L)e62P)C"Y=6T
Date: Thu, 11 Mar 2021 12:56:07 +0000
In-Reply-To: <9914d67ab1e37ee22af8@HIDDEN> (Gregory Heytings's message
 of "Wed, 10 Mar 2021 23:34:46 +0000")
Message-ID: <87k0qdsvbs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAAGQAAAAeBAMAAAAodabAAAAAB3RJTUUH1wQdAAY04/L8hgAA
 AAlwSFlzAAAewQAAHsEBw2lUUwAAAARnQU1BAACxjwv8YQUAAAASUExURc7OzpwAAAAAAP////8A
 AGNj/2aqqTQAAAA8SURBVHjaYzA2NnEBAmdj01D8wNgYpM7F2JiBgYFREAgEGJiU8AMGBpA6QaCG
 UVtGbRm1ZdSWUVsGjS0Aq20lJnMawnkAAAAASUVORK5CYII=
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46990
Cc: , Eli Zaretskii <eliz@HIDDEN>, 46990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>>>>> Gregory Heytings <gregory@HIDDEN> writes:

    >>>> Can you or someone who sees the problem please bisect this?
    >>>> I'm delaying the release of Emacs 27.2 in the hope that we
    >>>> could fix it, if indeed this was introduced between 27.1.90 and
    >>>> 27.1.91.
    >>> 
    >>> I may be guilty of crying wolf when there is none. If I
    >>> configure the 27.1.91 pretest for lucid and "make", the effect
    >>> does occur on launching emacs via src/emacs. However if I go the
    >>> next step and "make install", the effect does not occur when I
    >>> launch the installed emacs. I will double-check this by
    >>> installing from the git master branch and report back.
    >>> 
    >>> I am sorry. I stupidly assumed launching emacs from an src
    >>> directory would give the same beast as launching from the
    >>> installed bin directory.
    >> 
    >> No need to be sorry: your assumption was correct.  Emacs should
    >> generally work the same when you run it uninstalled.  It is
    >> strange that it doesn't in this case.
    >> 

    > It seems that what Colin describes is an old (and indeed strange)
    > behavior.  I just tried (on Debian GNU/Linux) various revisions of
    > the trunk (up to 5b464a9cea from three years ago), and with
    > --with-x-toolkit=lucid the menu cannot be navigated with arrow
    > keys with an uninstalled emacs, and can be navigated with an
    > installed one.

Investigating further, I find that if I launch a lucid "emacs-28" via

src/temacs -Q

and evaluate (menu-bar-mode -1) then the popup menu, formed from <f10>,
does indeed allow navigation from the arrow keys (as well as the
mouse). Only launching "emacs-28" from the following

1. src/emacs -Q
2. src/bootstrap-emacs -Q
3. src/emacs-28.0.50.1 -Q

fails to allow the popup menu-bar to be navigable from the arrow keys.


I hope this helps.

Best wishes,

Colin Baxter.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46990; Package emacs. Full text available.

Message received at 46990 <at> debbugs.gnu.org:


Received: (at 46990) by debbugs.gnu.org; 11 Mar 2021 05:07:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 11 00:07:15 2021
Received: from localhost ([127.0.0.1]:52394 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lKDXW-0004zW-S8
	for submit <at> debbugs.gnu.org; Thu, 11 Mar 2021 00:07:15 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39958)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lKDXV-0004zK-Ja
 for 46990 <at> debbugs.gnu.org; Thu, 11 Mar 2021 00:07:13 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55044)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lKDXQ-0002J8-FP; Thu, 11 Mar 2021 00:07:08 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1584
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lKDXP-0003gy-Uo; Thu, 11 Mar 2021 00:07:08 -0500
Date: Thu, 11 Mar 2021 07:07:07 +0200
Message-Id: <835z1ynuro.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <9914d67ab1e37ee22af8@HIDDEN> (message from Gregory
 Heytings on Wed, 10 Mar 2021 23:34:46 +0000)
Subject: Re: bug#46990: 28.0.50; popup menu not navigable via arrow keys on
 lucid build
References: <87pn0alx4d.fsf@HIDDEN> <87ft15dici.fsf@HIDDEN>
 <87wnuhlnwd.fsf@HIDDEN> <83im5yonpn.fsf@HIDDEN>
 <87zgzassr8.fsf@HIDDEN> <83czw6ojyd.fsf@HIDDEN>
 <9914d67ab1e37ee22af8@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46990
Cc: 46990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Date: Wed, 10 Mar 2021 23:34:46 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> cc: 46990 <at> debbugs.gnu.org
> 
> > No need to be sorry: your assumption was correct.  Emacs should 
> > generally work the same when you run it uninstalled.  It is strange that 
> > it doesn't in this case.
> 
> It seems that what Colin describes is an old (and indeed strange) 
> behavior.  I just tried (on Debian GNU/Linux) various revisions of the 
> trunk (up to 5b464a9cea from three years ago), and with 
> --with-x-toolkit=lucid the menu cannot be navigated with arrow keys with 
> an uninstalled emacs, and can be navigated with an installed one.

Thanks.  This means there's no need to delay the release of Emacs
27.2.  I'd still like to understand why the different behavior, but
what you say means bisection is not an effective means of finding the
culprit; instead, we should debug this as with any other bug.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46990; Package emacs. Full text available.

Message received at 46990 <at> debbugs.gnu.org:


Received: (at 46990) by debbugs.gnu.org; 10 Mar 2021 23:34:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 18:34:50 2021
Received: from localhost ([127.0.0.1]:52141 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lK8Lq-0005Zl-3Z
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 18:34:50 -0500
Received: from heytings.org ([95.142.160.155]:51066)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lK8Lo-0005Zd-3U
 for 46990 <at> debbugs.gnu.org; Wed, 10 Mar 2021 18:34:48 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1615419286;
 bh=EXvGxxdFsGMkRiecPfzxuwimY9AqjGTij79LOCTY9WU=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=WIOiGadjOp4ETfYygOuJv3KMmTKU2VXitJCwaao1U5czLkPblHJQ0G20+nyYccDcE
 FaVCnmnVVZXuaw51QasqLhloMdhnvuwCwuQSvCRWbhwdto66PqBOXm3d2aKFz5qD/J
 ljlqnA81gQWOh/SO41G80YyjM3IYcwKBWk/uICVEu5zZ9DvCbEP+0BZOm6/d9hFmMZ
 7d2rTvB3re3BFGTKyrx0UJDiRQVVdrqC8sFNCdb6HIEdy0yCf3m+zB/86N+/dCIWd0
 t9OQQveax1jhY+T8mtmokOsGWafUsU3nIItt6wjdDoWtCJdTYSuVSIt64lZx+UiTgG
 u3rauHQ4ee6Og==
Date: Wed, 10 Mar 2021 23:34:46 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#46990: 28.0.50; popup menu not navigable via arrow keys on
 lucid build
In-Reply-To: <83czw6ojyd.fsf@HIDDEN>
Message-ID: <9914d67ab1e37ee22af8@HIDDEN>
References: <87pn0alx4d.fsf@HIDDEN> <87ft15dici.fsf@HIDDEN>
 <87wnuhlnwd.fsf@HIDDEN> <83im5yonpn.fsf@HIDDEN>
 <87zgzassr8.fsf@HIDDEN> <83czw6ojyd.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 46990
Cc: 46990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>>> Can you or someone who sees the problem please bisect this?  I'm 
>>> delaying the release of Emacs 27.2 in the hope that we could fix it, 
>>> if indeed this was introduced between 27.1.90 and 27.1.91.
>>
>> I may be guilty of crying wolf when there is none. If I configure the 
>> 27.1.91 pretest for lucid and "make", the effect does occur on 
>> launching emacs via src/emacs. However if I go the next step and "make 
>> install", the effect does not occur when I launch the installed emacs. 
>> I will double-check this by installing from the git master branch and 
>> report back.
>>
>> I am sorry. I stupidly assumed launching emacs from an src directory 
>> would give the same beast as launching from the installed bin 
>> directory.
>
> No need to be sorry: your assumption was correct.  Emacs should 
> generally work the same when you run it uninstalled.  It is strange that 
> it doesn't in this case.
>

It seems that what Colin describes is an old (and indeed strange) 
behavior.  I just tried (on Debian GNU/Linux) various revisions of the 
trunk (up to 5b464a9cea from three years ago), and with 
--with-x-toolkit=lucid the menu cannot be navigated with arrow keys with 
an uninstalled emacs, and can be navigated with an installed one.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46990; Package emacs. Full text available.

Message received at 46990 <at> debbugs.gnu.org:


Received: (at 46990) by debbugs.gnu.org; 10 Mar 2021 20:50:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 15:50:05 2021
Received: from localhost ([127.0.0.1]:51980 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lK5mP-0007ws-95
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 15:50:05 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51990)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lK5mN-0007wL-OH
 for 46990 <at> debbugs.gnu.org; Wed, 10 Mar 2021 15:50:04 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44215)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lK5mH-0000YW-M8; Wed, 10 Mar 2021 15:49:57 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2931
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lK5m8-00034g-03; Wed, 10 Mar 2021 15:49:49 -0500
Date: Wed, 10 Mar 2021 22:49:46 +0200
Message-Id: <837dmeohsl.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Colin Baxter <m43cap@HIDDEN>
In-Reply-To: <87eegm92f4.fsf@HIDDEN> (message from Colin Baxter on Wed, 10
 Mar 2021 20:30:55 +0000)
Subject: Re: bug#46990: 28.0.50; popup menu not navigable via arrow keys on
 lucid build
References: <87pn0alx4d.fsf@HIDDEN> <87ft15dici.fsf@HIDDEN>
 <87wnuhlnwd.fsf@HIDDEN> <83im5yonpn.fsf@HIDDEN>
 <87zgzassr8.fsf@HIDDEN> <83czw6ojyd.fsf@HIDDEN>
 <87eegm92f4.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46990
Cc: contovob@HIDDEN, 46990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Colin Baxter <m43cap@HIDDEN>
> Cc: contovob@HIDDEN,  46990 <at> debbugs.gnu.org
> Date: Wed, 10 Mar 2021 20:30:55 +0000
> 
> I can now confirm that if I install the git master branch and launch
> emacs from the installed bin directory, I can navigate the lucid
> menu-bar via the arrow keys and the mouse. However if I launch emacs from
> the git/src directory then I can not navigate the menu-bar via the
> arrow keys. I can only navigate via the mouse.
> 
> It also explains why I thought the effect only occurred in the second
> pre-test and not the first. I remember that I installed the first but
> not the second.

Thanks, things are more clear now.

> I'm not confident I can bisect, having never done it. It depends on the
> available times, though, but certainly I will try.

Thank you.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46990; Package emacs. Full text available.

Message received at 46990 <at> debbugs.gnu.org:


Received: (at 46990) by debbugs.gnu.org; 10 Mar 2021 20:31:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 15:31:07 2021
Received: from localhost ([127.0.0.1]:51969 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lK5U3-0007Ut-Dj
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 15:31:07 -0500
Received: from forward102o.mail.yandex.net ([37.140.190.182]:56934)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m43cap@HIDDEN>) id 1lK5U1-0007U1-6B
 for 46990 <at> debbugs.gnu.org; Wed, 10 Mar 2021 15:31:06 -0500
Received: from sas1-df7c155f48c6.qloud-c.yandex.net
 (sas1-df7c155f48c6.qloud-c.yandex.net
 [IPv6:2a02:6b8:c08:e119:0:640:df7c:155f])
 by forward102o.mail.yandex.net (Yandex) with ESMTP id DB1BB668259C;
 Wed, 10 Mar 2021 23:30:58 +0300 (MSK)
Received: from sas2-1cbd504aaa99.qloud-c.yandex.net
 (sas2-1cbd504aaa99.qloud-c.yandex.net [2a02:6b8:c14:7101:0:640:1cbd:504a])
 by sas1-df7c155f48c6.qloud-c.yandex.net (mxback/Yandex) with ESMTP id
 aEGbiIsCac-UwH4cYfC; Wed, 10 Mar 2021 23:30:58 +0300
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.com; s=mail;
 t=1615408258; bh=g/cJaNh9SThgnBQqHYooXd61i0e9jWVlfB/fi5RCmlk=;
 h=In-Reply-To:Subject:To:From:Message-ID:Cc:Cc:Date:References;
 b=kg/MUmlbG9hMSMaqz/GygnADOcXz6Pl037upHkprLlvMoT6FbwaiXUQ6W3vKDIolS
 pJ7TTxNB7kTAdJb5oQ+TJIeFHD/7roOzq2ygoB+ru+KS0RT57AfcWe6Uspo5XgXaN7
 O3/cMVyxiak3S2jq/Zd4BFhLRmaY6+fGhczh9DiE=
Authentication-Results: sas1-df7c155f48c6.qloud-c.yandex.net;
 dkim=pass header.i=@yandex.com
Received: by sas2-1cbd504aaa99.qloud-c.yandex.net (smtp/Yandex) with ESMTPSA
 id IOAknVu47S-UvJK78mB; Wed, 10 Mar 2021 23:30:57 +0300
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (Client certificate not present)
From: Colin Baxter <m43cap@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#46990: 28.0.50; popup menu not navigable via arrow keys on
 lucid build
References: <87pn0alx4d.fsf@HIDDEN> <87ft15dici.fsf@HIDDEN>
 <87wnuhlnwd.fsf@HIDDEN> <83im5yonpn.fsf@HIDDEN>
 <87zgzassr8.fsf@HIDDEN> <83czw6ojyd.fsf@HIDDEN>
X-Face: BHjiJOg/Qm<l.(R#\p-0{gCp3du3*)G~PJYQ[6fRR<L#QZ,~":E9WQ,|'jw;k
 9xPEKXwL%6nfC:T>j'BQgsAKL@])L)e62P)C"Y=6T
Date: Wed, 10 Mar 2021 20:30:55 +0000
In-Reply-To: <83czw6ojyd.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 10 Mar
 2021 22:03:06 +0200")
Message-ID: <87eegm92f4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAAGQAAAAeBAMAAAAodabAAAAAB3RJTUUH1wQdAAY04/L8hgAA
 AAlwSFlzAAAewQAAHsEBw2lUUwAAAARnQU1BAACxjwv8YQUAAAASUExURc7OzpwAAAAAAP////8A
 AGNj/2aqqTQAAAA8SURBVHjaYzA2NnEBAmdj01D8wNgYpM7F2JiBgYFREAgEGJiU8AMGBpA6QaCG
 UVtGbRm1ZdSWUVsGjS0Aq20lJnMawnkAAAAASUVORK5CYII=
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46990
Cc: contovob@HIDDEN, , 46990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> Eli Zaretskii <eliz@HIDDEN> writes:

    >> From: Colin Baxter <m43cap@HIDDEN> Cc: contovob@HIDDEN, ,
    >> 46990 <at> debbugs.gnu.org Date: Wed, 10 Mar 2021 19:39:23 +0000
    >> 
    >> > Can you or someone who sees the problem please bisect this?
    >> I'm > delaying the release of Emacs 27.2 in the hope that we
    >> could fix > it, if indeed this was introduced between 27.1.90 and
    >> 27.1.91.
    >> 
    >> I may be guilty of crying wolf when there is none. If I configure
    >> the 27.1.91 pretest for lucid and "make", the effect does occur
    >> on launching emacs via src/emacs. However if I go the next step
    >> and "make install", the effect does not occur when I launch the
    >> installed emacs. I will double-check this by installing from the
    >> git master branch and report back.
    >> 
    >> I am sorry. I stupidly assumed launching emacs from an src
    >> directory would give the same beast as launching from the
    >> installed bin directory.

I can now confirm that if I install the git master branch and launch
emacs from the installed bin directory, I can navigate the lucid
menu-bar via the arrow keys and the mouse. However if I launch emacs from
the git/src directory then I can not navigate the menu-bar via the
arrow keys. I can only navigate via the mouse.

It also explains why I thought the effect only occurred in the second
pre-test and not the first. I remember that I installed the first but
not the second.

    > No need to be sorry: your assumption was correct.  Emacs should
    > generally work the same when you run it uninstalled.  It is
    > strange that it doesn't in this case.

    > It is true that the fact the problem doesn't happen in the
    > installed Emacs makes the problem less serious.  But since we
    > don't really understand why it happens in the uninstalled Emacs,
    > we cannot guarantee that it will never happen in an installed one,
    > either.

It could an artefact of my system: 4.9.0-14-686-pae #1 SMP Debian
4.9.246-2 (2020-12-17) i686 GNU/Linux. Perhaps someone needs to confirm
the finding on a different system.

    > So if you can afford bisecting this, or debugging it
    > further, I'd appreciate any additional information you could dig
    > out.  Ideally, we should at least understand why this happens,
    > before we decide whether it should delay the release.

I'm not confident I can bisect, having never done it. It depends on the
available times, though, but certainly I will try.

Best wishes,




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46990; Package emacs. Full text available.

Message received at 46990 <at> debbugs.gnu.org:


Received: (at 46990) by debbugs.gnu.org; 10 Mar 2021 20:03:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 15:03:16 2021
Received: from localhost ([127.0.0.1]:51920 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lK536-0006ne-DV
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 15:03:16 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39018)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lK534-0006nQ-DG
 for 46990 <at> debbugs.gnu.org; Wed, 10 Mar 2021 15:03:14 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42402)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lK52y-0003by-HQ; Wed, 10 Mar 2021 15:03:08 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3687
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lK52x-0000hk-S1; Wed, 10 Mar 2021 15:03:08 -0500
Date: Wed, 10 Mar 2021 22:03:06 +0200
Message-Id: <83czw6ojyd.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Colin Baxter <m43cap@HIDDEN>
In-Reply-To: <87zgzassr8.fsf@HIDDEN> (message from Colin Baxter on Wed, 10
 Mar 2021 19:39:23 +0000)
Subject: Re: bug#46990: 28.0.50; popup menu not navigable via arrow keys on
 lucid build
References: <87pn0alx4d.fsf@HIDDEN> <87ft15dici.fsf@HIDDEN>
 <87wnuhlnwd.fsf@HIDDEN> <83im5yonpn.fsf@HIDDEN>
 <87zgzassr8.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46990
Cc: contovob@HIDDEN, 46990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Colin Baxter <m43cap@HIDDEN>
> Cc: contovob@HIDDEN,  ,  46990 <at> debbugs.gnu.org
> Date: Wed, 10 Mar 2021 19:39:23 +0000
> 
>     > Can you or someone who sees the problem please bisect this?  I'm
>     > delaying the release of Emacs 27.2 in the hope that we could fix
>     > it, if indeed this was introduced between 27.1.90 and 27.1.91.
> 
> I may be guilty of crying wolf when there is none. If I configure the
> 27.1.91 pretest for lucid and "make", the effect does occur on launching
> emacs via src/emacs. However if I go the next step and "make install",
> the effect does not occur when I launch the installed emacs. I 
> will double-check this by installing from the git master branch and
> report back.
> 
> I am sorry. I stupidly assumed launching emacs from an src directory
> would give the same beast as launching from the installed bin directory.

No need to be sorry: your assumption was correct.  Emacs should
generally work the same when you run it uninstalled.  It is strange
that it doesn't in this case.

It is true that the fact the problem doesn't happen in the installed
Emacs makes the problem less serious.  But since we don't really
understand why it happens in the uninstalled Emacs, we cannot
guarantee that it will never happen in an installed one, either.  So
if you can afford bisecting this, or debugging it further, I'd
appreciate any additional information you could dig out.  Ideally, we
should at least understand why this happens, before we decide whether
it should delay the release.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46990; Package emacs. Full text available.

Message received at 46990 <at> debbugs.gnu.org:


Received: (at 46990) by debbugs.gnu.org; 10 Mar 2021 19:39:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 14:39:41 2021
Received: from localhost ([127.0.0.1]:51908 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lK4gH-0006Fe-HS
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 14:39:41 -0500
Received: from forward103p.mail.yandex.net ([77.88.28.106]:55781)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m43cap@HIDDEN>) id 1lK4gF-0006FO-70
 for 46990 <at> debbugs.gnu.org; Wed, 10 Mar 2021 14:39:39 -0500
Received: from myt6-6c2a9472c7c7.qloud-c.yandex.net
 (myt6-6c2a9472c7c7.qloud-c.yandex.net
 [IPv6:2a02:6b8:c12:29a1:0:640:6c2a:9472])
 by forward103p.mail.yandex.net (Yandex) with ESMTP id 9D89A18C3C0A;
 Wed, 10 Mar 2021 22:39:25 +0300 (MSK)
Received: from myt3-5a0d70690205.qloud-c.yandex.net
 (myt3-5a0d70690205.qloud-c.yandex.net [2a02:6b8:c12:4f2b:0:640:5a0d:7069])
 by myt6-6c2a9472c7c7.qloud-c.yandex.net (mxback/Yandex) with ESMTP id
 kmzZGYsue9-dPIeEnK7; Wed, 10 Mar 2021 22:39:25 +0300
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.com; s=mail;
 t=1615405165; bh=/EwBqHccCCmWVVlFD6stGLLu8yvkFILFByak+LTdHO4=;
 h=In-Reply-To:Subject:To:From:Message-ID:Cc:Cc:Date:References;
 b=T8uzhHnYlUMr7Bkc9ZyVYkCopNH6zRM4HRpnxsm5w3VtzPxV0yzH/b6FXpR1NM5I9
 /sVSQa1o0A+y+bHJvAPg1UBzQrs0BkN+OIQ09Ej9Zrkpd8SqaWMUvAcOy4HFkcTeDQ
 CpKxZSapsXda5MCSHXQu+QB9hawtcktNZTDd8VSc=
Authentication-Results: myt6-6c2a9472c7c7.qloud-c.yandex.net;
 dkim=pass header.i=@yandex.com
Received: by myt3-5a0d70690205.qloud-c.yandex.net (smtp/Yandex) with ESMTPSA
 id M7GKYpdvD1-dOKaOq71; Wed, 10 Mar 2021 22:39:24 +0300
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (Client certificate not present)
From: Colin Baxter <m43cap@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#46990: 28.0.50; popup menu not navigable via arrow keys on
 lucid build
References: <87pn0alx4d.fsf@HIDDEN> <87ft15dici.fsf@HIDDEN>
 <87wnuhlnwd.fsf@HIDDEN> <83im5yonpn.fsf@HIDDEN>
X-Face: BHjiJOg/Qm<l.(R#\p-0{gCp3du3*)G~PJYQ[6fRR<L#QZ,~":E9WQ,|'jw;k
 9xPEKXwL%6nfC:T>j'BQgsAKL@])L)e62P)C"Y=6T
Date: Wed, 10 Mar 2021 19:39:23 +0000
In-Reply-To: <83im5yonpn.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 10 Mar
 2021 20:41:56 +0200")
Message-ID: <87zgzassr8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAAGQAAAAeBAMAAAAodabAAAAAB3RJTUUH1wQdAAY04/L8hgAA
 AAlwSFlzAAAewQAAHsEBw2lUUwAAAARnQU1BAACxjwv8YQUAAAASUExURc7OzpwAAAAAAP////8A
 AGNj/2aqqTQAAAA8SURBVHjaYzA2NnEBAmdj01D8wNgYpM7F2JiBgYFREAgEGJiU8AMGBpA6QaCG
 UVtGbRm1ZdSWUVsGjS0Aq20lJnMawnkAAAAASUVORK5CYII=
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46990
Cc: contovob@HIDDEN, , 46990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> Eli Zaretskii <eliz@HIDDEN> writes:

    >> From: Colin Baxter <m43cap@HIDDEN> Date: Mon, 08 Mar 2021
    >> 14:29:22 +0000 Cc: , 46990 <at> debbugs.gnu.org
    >> 
    >> It does look as if something changed between pretests 1,
    >> 2. Pretest 2 has the same issue as emacs-28 - I'm not certain,
    >> but I think pretest 1 didn't. Unfortunately, I deleted pretest 1!
    >> 
    >> Perhaps the fact that I'm on 32 bits is significant. I don't have
    >> any more time today to look at this, but I will later in the
    >> week.

    > Can you or someone who sees the problem please bisect this?  I'm
    > delaying the release of Emacs 27.2 in the hope that we could fix
    > it, if indeed this was introduced between 27.1.90 and 27.1.91.

I may be guilty of crying wolf when there is none. If I configure the
27.1.91 pretest for lucid and "make", the effect does occur on launching
emacs via src/emacs. However if I go the next step and "make install",
the effect does not occur when I launch the installed emacs. I 
will double-check this by installing from the git master branch and
report back.

I am sorry. I stupidly assumed launching emacs from an src directory
would give the same beast as launching from the installed bin directory.


Best wishes,




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46990; Package emacs. Full text available.

Message received at 46990 <at> debbugs.gnu.org:


Received: (at 46990) by debbugs.gnu.org; 10 Mar 2021 19:13:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 14:13:02 2021
Received: from localhost ([127.0.0.1]:51877 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lK4GU-0005cz-1O
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 14:13:02 -0500
Received: from eggs.gnu.org ([209.51.188.92]:53514)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lK4GR-0005cf-Bv
 for 46990 <at> debbugs.gnu.org; Wed, 10 Mar 2021 14:13:00 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40459)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lK4GL-0006fF-On; Wed, 10 Mar 2021 14:12:53 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4490
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lK4G6-0008No-BE; Wed, 10 Mar 2021 14:12:41 -0500
Date: Wed, 10 Mar 2021 21:12:37 +0200
Message-Id: <83ft12omai.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Colin Baxter <m43cap@HIDDEN>
In-Reply-To: <874khiu96g.fsf@HIDDEN> (message from Colin Baxter on Wed, 10
 Mar 2021 18:59:19 +0000)
Subject: Re: bug#46990: 28.0.50;
 popup menu not navigable via arrow keys on lucid build
References: <87pn0alx4d.fsf@HIDDEN> <87ft15dici.fsf@HIDDEN>
 <87wnuhlnwd.fsf@HIDDEN> <20czw9e631.fsf@HIDDEN>
 <874khiu96g.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46990
Cc: contovob@HIDDEN, rgm@HIDDEN, 46990 <at> debbugs.gnu.org, 
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Colin Baxter <m43cap@HIDDEN>
> Date: Wed, 10 Mar 2021 18:59:19 +0000
> Cc: "Basil L. Contovounesios" <contovob@HIDDEN>, , 46990 <at> debbugs.gnu.org
> 
> >>>>> Glenn Morris <rgm@HIDDEN> writes:
> 
>     > FWIW I can reproduce this in the emacs-27 (and master) branch on
>     > 64-bit RHEL and Debian, but so far it disappears when bisecting.
>     > I don't see it in installed 26.{1,2,3} or 27.1, but I do in an old
>     > uninstalled emacs-26 branch build.  Weird.
> 
> I have compiled my emacs-27.1 with lucid and the effect does not
> occur. I can navigate menus with arrow keys and mouse.

Thanks.  Does that mean the problem started between 27.1 and 27.1.91?
If so, can you please bisect between these two points?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46990; Package emacs. Full text available.

Message received at 46990 <at> debbugs.gnu.org:


Received: (at 46990) by debbugs.gnu.org; 10 Mar 2021 18:59:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 13:59:31 2021
Received: from localhost ([127.0.0.1]:51858 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lK43P-0005ID-20
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 13:59:31 -0500
Received: from forward106j.mail.yandex.net ([5.45.198.249]:53032)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m43cap@HIDDEN>) id 1lK43M-0005Hx-KR
 for 46990 <at> debbugs.gnu.org; Wed, 10 Mar 2021 13:59:29 -0500
Received: from myt6-9cfe67cfd141.qloud-c.yandex.net
 (myt6-9cfe67cfd141.qloud-c.yandex.net
 [IPv6:2a02:6b8:c12:25a9:0:640:9cfe:67cf])
 by forward106j.mail.yandex.net (Yandex) with ESMTP id 32E9F11A1C4D;
 Wed, 10 Mar 2021 21:59:22 +0300 (MSK)
Received: from myt5-ca5ec8faf378.qloud-c.yandex.net
 (myt5-ca5ec8faf378.qloud-c.yandex.net [2a02:6b8:c12:2514:0:640:ca5e:c8fa])
 by myt6-9cfe67cfd141.qloud-c.yandex.net (mxback/Yandex) with ESMTP id
 PHzGAHwhND-xLIalNur; Wed, 10 Mar 2021 21:59:22 +0300
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.com; s=mail;
 t=1615402762; bh=chJYpnJSCcsQT8Ve+cYJUI+8Qu6BF+X4ugi5D8paBKI=;
 h=In-Reply-To:Subject:To:From:Message-ID:Cc:Cc:Date:References;
 b=ETOJJs/lnU9ha485QY/YKRNKoAzM+XbQ7bjLV9PXb2SBRWiriRqrOx6JSgTr1Xstr
 yZ/k593D1oT15rhDudGc7ze3qADcN4cOKDp0XNnAwvS19hTHK6+Mm24eZ+DqtDv7at
 10YjeX8LpAUOaJBXunVHcQOpxAjWQpaY/jVte4fs=
Authentication-Results: myt6-9cfe67cfd141.qloud-c.yandex.net;
 dkim=pass header.i=@yandex.com
Received: by myt5-ca5ec8faf378.qloud-c.yandex.net (smtp/Yandex) with ESMTPSA
 id gtDxILnSGx-xKJeug5i; Wed, 10 Mar 2021 21:59:20 +0300
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (Client certificate not present)
From: Colin Baxter <m43cap@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#46990: 28.0.50; popup menu not navigable via arrow keys on
 lucid build
References: <87pn0alx4d.fsf@HIDDEN> <87ft15dici.fsf@HIDDEN>
 <87wnuhlnwd.fsf@HIDDEN> <20czw9e631.fsf@HIDDEN>
X-Face: BHjiJOg/Qm<l.(R#\p-0{gCp3du3*)G~PJYQ[6fRR<L#QZ,~":E9WQ,|'jw;k
 9xPEKXwL%6nfC:T>j'BQgsAKL@])L)e62P)C"Y=6T
Date: Wed, 10 Mar 2021 18:59:19 +0000
In-Reply-To: <20czw9e631.fsf@HIDDEN> (Glenn Morris's message of
 "Mon, 08 Mar 2021 15:36:02 -0500")
Message-ID: <874khiu96g.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAAGQAAAAeBAMAAAAodabAAAAAB3RJTUUH1wQdAAY04/L8hgAA
 AAlwSFlzAAAewQAAHsEBw2lUUwAAAARnQU1BAACxjwv8YQUAAAASUExURc7OzpwAAAAAAP////8A
 AGNj/2aqqTQAAAA8SURBVHjaYzA2NnEBAmdj01D8wNgYpM7F2JiBgYFREAgEGJiU8AMGBpA6QaCG
 UVtGbRm1ZdSWUVsGjS0Aq20lJnMawnkAAAAASUVORK5CYII=
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46990
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>, , 46990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>>>>> Glenn Morris <rgm@HIDDEN> writes:

    > FWIW I can reproduce this in the emacs-27 (and master) branch on
    > 64-bit RHEL and Debian, but so far it disappears when bisecting.
    > I don't see it in installed 26.{1,2,3} or 27.1, but I do in an old
    > uninstalled emacs-26 branch build.  Weird.

I have compiled my emacs-27.1 with lucid and the effect does not
occur. I can navigate menus with arrow keys and mouse.

Best wishes,




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46990; Package emacs. Full text available.

Message received at 46990 <at> debbugs.gnu.org:


Received: (at 46990) by debbugs.gnu.org; 10 Mar 2021 18:42:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 13:42:08 2021
Received: from localhost ([127.0.0.1]:51852 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lK3ma-0004uf-Er
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 13:42:08 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45312)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lK3mX-0004u3-V1
 for 46990 <at> debbugs.gnu.org; Wed, 10 Mar 2021 13:42:07 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39882)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lK3mR-0005vG-Iu; Wed, 10 Mar 2021 13:41:59 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2548
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lK3mQ-0003HS-UU; Wed, 10 Mar 2021 13:41:59 -0500
Date: Wed, 10 Mar 2021 20:41:56 +0200
Message-Id: <83im5yonpn.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Colin Baxter <m43cap@HIDDEN>
In-Reply-To: <87wnuhlnwd.fsf@HIDDEN> (message from Colin Baxter on Mon, 08
 Mar 2021 14:29:22 +0000)
Subject: Re: bug#46990: 28.0.50;
 popup menu not navigable via arrow keys on lucid build
References: <87pn0alx4d.fsf@HIDDEN> <87ft15dici.fsf@HIDDEN>
 <87wnuhlnwd.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46990
Cc: contovob@HIDDEN, , 46990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Colin Baxter <m43cap@HIDDEN>
> Date: Mon, 08 Mar 2021 14:29:22 +0000
> Cc: , 46990 <at> debbugs.gnu.org
> 
> It does look as if something changed between pretests 1, 2. Pretest 2 has
> the same issue as emacs-28 - I'm not certain, but I think pretest 1
> didn't. Unfortunately, I deleted pretest 1!
> 
> Perhaps the fact that I'm on 32 bits is significant. I don't have any
> more time today to look at this, but I will later in the week.

Can you or someone who sees the problem please bisect this?  I'm
delaying the release of Emacs 27.2 in the hope that we could fix it,
if indeed this was introduced between 27.1.90 and 27.1.91.

FWIW, I've reviewed all the commits between the 2 pretests, and
couldn't spot any change which could have any effect on how menus
work.

TIA




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46990; Package emacs. Full text available.

Message received at 46990 <at> debbugs.gnu.org:


Received: (at 46990) by debbugs.gnu.org; 8 Mar 2021 20:36:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 08 15:36:11 2021
Received: from localhost ([127.0.0.1]:44932 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJMbr-0002F7-2F
	for submit <at> debbugs.gnu.org; Mon, 08 Mar 2021 15:36:11 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45750)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1lJMbp-0002Eh-Bb
 for 46990 <at> debbugs.gnu.org; Mon, 08 Mar 2021 15:36:10 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54646)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>)
 id 1lJMbj-0002HD-MG; Mon, 08 Mar 2021 15:36:03 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1lJMbi-0005n7-AJ; Mon, 08 Mar 2021 15:36:02 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Colin Baxter <m43cap@HIDDEN>
Subject: Re: bug#46990: 28.0.50;
 popup menu not navigable via arrow keys on lucid build
References: <87pn0alx4d.fsf@HIDDEN> <87ft15dici.fsf@HIDDEN>
 <87wnuhlnwd.fsf@HIDDEN>
X-Spook: JSOFC3IP Red Cell gorilla Human to Human Water borne GOE
X-Ran: ?oYE(^Fb)8wGpRDe-6.="o@'J9+VHtMvl4RO"?YwY4]xN}^dK._+u/6u)@f<3'p,CsZc}L
X-Hue: brightblack
X-Attribution: GM
Date: Mon, 08 Mar 2021 15:36:02 -0500
In-Reply-To: <87wnuhlnwd.fsf@HIDDEN> (Colin Baxter's message of "Mon, 08
 Mar 2021 14:29:22 +0000")
Message-ID: <20czw9e631.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46990
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>, , 46990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


FWIW I can reproduce this in the emacs-27 (and master) branch on 64-bit
RHEL and Debian, but so far it disappears when bisecting.
I don't see it in installed 26.{1,2,3} or 27.1, but I do in an old
uninstalled emacs-26 branch build.
Weird.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46990; Package emacs. Full text available.

Message received at 46990 <at> debbugs.gnu.org:


Received: (at 46990) by debbugs.gnu.org; 8 Mar 2021 14:29:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 08 09:29:34 2021
Received: from localhost ([127.0.0.1]:42480 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJGt4-00039H-7u
	for submit <at> debbugs.gnu.org; Mon, 08 Mar 2021 09:29:34 -0500
Received: from forward106p.mail.yandex.net ([77.88.28.109]:35672)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m43cap@HIDDEN>) id 1lJGt1-000391-M3
 for 46990 <at> debbugs.gnu.org; Mon, 08 Mar 2021 09:29:33 -0500
Received: from iva8-6377ea28ef3a.qloud-c.yandex.net
 (iva8-6377ea28ef3a.qloud-c.yandex.net
 [IPv6:2a02:6b8:c0c:6f19:0:640:6377:ea28])
 by forward106p.mail.yandex.net (Yandex) with ESMTP id 58F161C820D5;
 Mon,  8 Mar 2021 17:29:24 +0300 (MSK)
Received: from iva5-057a0d1fbbd8.qloud-c.yandex.net
 (iva5-057a0d1fbbd8.qloud-c.yandex.net [2a02:6b8:c0c:7f1c:0:640:57a:d1f])
 by iva8-6377ea28ef3a.qloud-c.yandex.net (mxback/Yandex) with ESMTP id
 ENqgDU3IGh-TOHGCZei; Mon, 08 Mar 2021 17:29:24 +0300
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.com; s=mail;
 t=1615213764; bh=S4wiWLGJDTTZZWzRNyFh3lNtsB8/I64+sH0Qjo2OXSk=;
 h=In-Reply-To:Subject:To:From:Message-ID:Cc:Cc:Date:References;
 b=s4Cr8nNB2xGHMQcselJ9EVrCqK+cEjjsS4wUT0+ArTN0R0IYsMD3cjv4a1M3yo8w+
 vLCQX/1rGZvZq24hQAIJpI2C//PcHPsYmGFLK2rW3S9g+jnIGT7DhMcUVMJBYgJtVc
 9MmfsYgy9As/x0vselFeyKVOcprFblq6xzrbVe9o=
Authentication-Results: iva8-6377ea28ef3a.qloud-c.yandex.net;
 dkim=pass header.i=@yandex.com
Received: by iva5-057a0d1fbbd8.qloud-c.yandex.net (smtp/Yandex) with ESMTPSA
 id nKluBcIKx7-TNJijRtX; Mon, 08 Mar 2021 17:29:23 +0300
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (Client certificate not present)
From: Colin Baxter <m43cap@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#46990: 28.0.50; popup menu not navigable via arrow keys on
 lucid build
References: <87pn0alx4d.fsf@HIDDEN> <87ft15dici.fsf@HIDDEN>
X-Face: BHjiJOg/Qm<l.(R#\p-0{gCp3du3*)G~PJYQ[6fRR<L#QZ,~":E9WQ,|'jw;k
 9xPEKXwL%6nfC:T>j'BQgsAKL@])L)e62P)C"Y=6T
Date: Mon, 08 Mar 2021 14:29:22 +0000
In-Reply-To: <87ft15dici.fsf@HIDDEN> (Basil L. Contovounesios's message of
 "Mon, 08 Mar 2021 10:56:29 +0000")
Message-ID: <87wnuhlnwd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAAGQAAAAeBAMAAAAodabAAAAAB3RJTUUH1wQdAAY04/L8hgAA
 AAlwSFlzAAAewQAAHsEBw2lUUwAAAARnQU1BAACxjwv8YQUAAAASUExURc7OzpwAAAAAAP////8A
 AGNj/2aqqTQAAAA8SURBVHjaYzA2NnEBAmdj01D8wNgYpM7F2JiBgYFREAgEGJiU8AMGBpA6QaCG
 UVtGbRm1ZdSWUVsGjS0Aq20lJnMawnkAAAAASUVORK5CYII=
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46990
Cc: , 46990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> Basil L Contovounesios <contovob@HIDDEN> writes:

    > Colin Baxter <m43cap@HIDDEN> writes:
    >> In GNU Emacs 28.0.50 (build 1, i686-pc-linux-gnu, X toolkit,
    >> cairo version 1.14.8, Xaw3d scroll bars) of 2021-03-07 built on
    >> bluestar Repository revision:
    >> 8558ecd65fc1c87345353f6352299df04280e729 Repository branch:
    >> master System Description: Debian GNU/Linux 9 (stretch)
    >> 
    >> Configured using: 'configure --with-x-toolkit=lucid'

    > Just curious: how come this doesn't list your 'Windowing system
    > distributor' (which in my case is X.Org 11), when your features
    > below include X11?  Do you need to configure '--with-x' or
    > something?
    
I'm tried this but get the same result.

    >> Configured features: ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS
    >> GPM GSETTINGS HARFBUZZ JPEG LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD
    >> LIBXML2 M17N_FLT MODULES NOTIFY INOTIFY PDUMPER PNG RSVG SOUND
    >> THREADS TIFF TOOLKIT_SCROLL_BARS X11 XAW3D XDBE XIM XPM LUCID
    >> ZLIB
    >> 
    >> Important settings: value of $LANG: en_GB.utf8
    >> locale-coding-system: utf-8

    > Apart from that, the only possibly significant differences I see
    > from my configuration of Emacs 28[1] are: I'm on x86_64, with a
    > more recent version of Debian and Cairo, and 'value of
    > $XMODIFIERS: @im=ibus'.  So I'm not sure what's going on.

It does look as if something changed between pretests 1, 2. Pretest 2 has
the same issue as emacs-28 - I'm not certain, but I think pretest 1
didn't. Unfortunately, I deleted pretest 1!

Perhaps the fact that I'm on 32 bits is significant. I don't have any
more time today to look at this, but I will later in the week.

Best wishes,




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46990; Package emacs. Full text available.

Message received at 46990 <at> debbugs.gnu.org:


Received: (at 46990) by debbugs.gnu.org; 8 Mar 2021 10:56:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 08 05:56:48 2021
Received: from localhost ([127.0.0.1]:42238 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJDZA-00040U-1j
	for submit <at> debbugs.gnu.org; Mon, 08 Mar 2021 05:56:48 -0500
Received: from mail-wm1-f51.google.com ([209.85.128.51]:52346)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1lJDZ8-00040G-1O
 for 46990 <at> debbugs.gnu.org; Mon, 08 Mar 2021 05:56:47 -0500
Received: by mail-wm1-f51.google.com with SMTP id n22so5767091wmc.2
 for <46990 <at> debbugs.gnu.org>; Mon, 08 Mar 2021 02:56:45 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tcd.ie; s=google21;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=W58cK9VOOI01KPkgIK3RFL/8agvMpUMaD4K9Ps8DNN4=;
 b=FUyzqpP3DMo7Np1s19ePrTPjliNIN3SqX+v0m8zKjJiSWm9q3jW6M7XdSLmXBh8xeO
 YJy9LUUguvzoVI8yE9Vu7ul9LpVrD8/bdJyK+BR4vnWuL3eo/b/nVJczA1ATd1zSw8aG
 CJxhhaifHWnh02qELX8sgNK2LdDm8oFIn8LO1cntQOxIF0YFxjsxPfx1HdyBmcpDPmmz
 wJjLsZyh8cO4owItpYoXjajBmuSMxWQmqqYSZBRG5yjK6Uc++e13sSFOGrVC+t+iaTQM
 FED9Exgw69oggNReS5hxQ3u5ItL0YMPGNAPTAthgHzdXCXOunMyi9aFO6tuN8iV+B3O7
 l7qw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=W58cK9VOOI01KPkgIK3RFL/8agvMpUMaD4K9Ps8DNN4=;
 b=PxauQZt1OKo5SAsGHJVO53U6rgM1Ra7UWu53mpV8F3ySZyCekVOLSwpnM5sNI1h5yV
 bRrZZqZuXfWQH0CixbNvgY3bNkEWAOpg8VMXqrk57wTH6K/skKd4tOh8sj6aw3SD6Fe2
 YPGzdMa3pyAch82B047C8OAJFPdguTQ7zNanO13liyKTVCQu5vdmWJz20J/Xh8YHrxhi
 h/8LzWWMH3esEnK07YZXoyZqiN0kVwl8jKkeGlxYDK4QxQpw/4TTS50Qe6gsonfm2yr3
 RnFB0S14QuKFZsWEfblHAzqTyYJuIoe0px4TrqyHJ5z9sVkTaCW/2RniyavtNub6HlBo
 iE4Q==
X-Gm-Message-State: AOAM530+zBeuHq+5nHatDzYr/YarqYQrU4fSIiiE8o9PXU658wy3NiXh
 S3DPNYnrNljqvQ4NLK3zvKZC2w==
X-Google-Smtp-Source: ABdhPJzFtUsupYNpsWNokgdGB31Vr6d3QotaN635Mu0sQEGd5dCtIqoZlKnJb9j+cK7u8UKaJlGxlQ==
X-Received: by 2002:a1c:7209:: with SMTP id n9mr21754748wmc.132.1615201000129; 
 Mon, 08 Mar 2021 02:56:40 -0800 (PST)
Received: from localhost ([109.78.100.201])
 by smtp.gmail.com with ESMTPSA id s23sm18002342wmc.35.2021.03.08.02.56.39
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 08 Mar 2021 02:56:39 -0800 (PST)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Colin Baxter <m43cap@HIDDEN>
Subject: Re: bug#46990: 28.0.50; popup menu not navigable via arrow keys on
 lucid build
References: <87pn0alx4d.fsf@HIDDEN>
Date: Mon, 08 Mar 2021 10:56:29 +0000
In-Reply-To: <87pn0alx4d.fsf@HIDDEN> (Colin Baxter's message of "Sun, 07
 Mar 2021 16:57:54 +0000")
Message-ID: <87ft15dici.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 46990
Cc: 46990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Colin Baxter <m43cap@HIDDEN> writes:

> In GNU Emacs 28.0.50 (build 1, i686-pc-linux-gnu, X toolkit, cairo version 1.14.8, Xaw3d scroll bars)
>  of 2021-03-07 built on bluestar
> Repository revision: 8558ecd65fc1c87345353f6352299df04280e729
> Repository branch: master
> System Description: Debian GNU/Linux 9 (stretch)
>
> Configured using:
>  'configure --with-x-toolkit=lucid'

Just curious: how come this doesn't list your 'Windowing system
distributor' (which in my case is X.Org 11), when your features below
include X11?  Do you need to configure '--with-x' or something?

> Configured features:
> ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ
> JPEG LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES
> NOTIFY INOTIFY PDUMPER PNG RSVG SOUND THREADS TIFF TOOLKIT_SCROLL_BARS
> X11 XAW3D XDBE XIM XPM LUCID ZLIB
>
> Important settings:
>   value of $LANG: en_GB.utf8
>   locale-coding-system: utf-8

Apart from that, the only possibly significant differences I see from my
configuration of Emacs 28[1] are: I'm on x86_64, with a more recent
version of Debian and Cairo, and 'value of $XMODIFIERS: @im=ibus'.  So
I'm not sure what's going on.

[1]: https://lists.gnu.org/r/emacs-devel/2021-03/msg00359.html

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46990; Package emacs. Full text available.

Message received at 46990 <at> debbugs.gnu.org:


Received: (at 46990) by debbugs.gnu.org; 8 Mar 2021 10:05:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 08 05:05:21 2021
Received: from localhost ([127.0.0.1]:42188 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJClN-0002nk-6K
	for submit <at> debbugs.gnu.org; Mon, 08 Mar 2021 05:05:21 -0500
Received: from forward101j.mail.yandex.net ([5.45.198.241]:45062)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m43cap@HIDDEN>) id 1lJClJ-0002nR-Ly
 for 46990 <at> debbugs.gnu.org; Mon, 08 Mar 2021 05:05:19 -0500
Received: from forward102q.mail.yandex.net (forward102q.mail.yandex.net
 [IPv6:2a02:6b8:c0e:1ba:0:640:516:4e7d])
 by forward101j.mail.yandex.net (Yandex) with ESMTP id 6B0D31BE2798;
 Mon,  8 Mar 2021 13:05:10 +0300 (MSK)
Received: from vla1-a6a42891800d.qloud-c.yandex.net
 (vla1-a6a42891800d.qloud-c.yandex.net
 [IPv6:2a02:6b8:c0d:17a3:0:640:a6a4:2891])
 by forward102q.mail.yandex.net (Yandex) with ESMTP id 62DB53A20002;
 Mon,  8 Mar 2021 13:05:10 +0300 (MSK)
Received: from vla3-3dd1bd6927b2.qloud-c.yandex.net
 (vla3-3dd1bd6927b2.qloud-c.yandex.net [2a02:6b8:c15:350f:0:640:3dd1:bd69])
 by vla1-a6a42891800d.qloud-c.yandex.net (mxback/Yandex) with ESMTP id
 H3QZCJddoC-5AIuHuaG; Mon, 08 Mar 2021 13:05:10 +0300
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.com; s=mail;
 t=1615197910; bh=sX4EF4ZQIqZtvZC8x4A8Cx30Zoiseln1U++2BO6P5pk=;
 h=In-Reply-To:Subject:To:From:Message-ID:Cc:Cc:Date:References;
 b=TsOMx9f2jwqUdsXkIGWCpbCcQaXK5+2TRRFUjslHdnzlQBA9wRSfKsmOiWI6QzUMS
 F83/5Idh3MFrJY4fGx+yGVkf6TKTOs0wfrCdnN1tsC0kZ03X3vDi43v+tBocP88fuW
 +4fnrst5rpoY0LLtUkaUyvs9TKLTqLsy9hjsdnNU=
Authentication-Results: vla1-a6a42891800d.qloud-c.yandex.net;
 dkim=pass header.i=@yandex.com
Received: by vla3-3dd1bd6927b2.qloud-c.yandex.net (smtp/Yandex) with ESMTPSA
 id XUTzB5DIMs-58JOhn5J; Mon, 08 Mar 2021 13:05:09 +0300
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (Client certificate not present)
From: Colin Baxter <m43cap@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#46990: 28.0.50; popup menu not navigable via arrow keys on
 lucid build
References: <87pn0alx4d.fsf@HIDDEN>
 <09d5ad8c-7ba3-7e7f-215e-a9b3e475a240@HIDDEN>
X-Face: BHjiJOg/Qm<l.(R#\p-0{gCp3du3*)G~PJYQ[6fRR<L#QZ,~":E9WQ,|'jw;k
 9xPEKXwL%6nfC:T>j'BQgsAKL@])L)e62P)C"Y=6T
Date: Mon, 08 Mar 2021 10:05:07 +0000
In-Reply-To: <09d5ad8c-7ba3-7e7f-215e-a9b3e475a240@HIDDEN> (martin rudalics's
 message of "Mon, 8 Mar 2021 09:26:04 +0100")
Message-ID: <874khmm04s.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAAGQAAAAeBAMAAAAodabAAAAAB3RJTUUH1wQdAAY04/L8hgAA
 AAlwSFlzAAAewQAAHsEBw2lUUwAAAARnQU1BAACxjwv8YQUAAAASUExURc7OzpwAAAAAAP////8A
 AGNj/2aqqTQAAAA8SURBVHjaYzA2NnEBAmdj01D8wNgYpM7F2JiBgYFREAgEGJiU8AMGBpA6QaCG
 UVtGbRm1ZdSWUVsGjS0Aq20lJnMawnkAAAAASUVORK5CYII=
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46990
Cc: , 46990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>>>>> martin rudalics <rudalics@HIDDEN> writes:

    >> 1. make clean and make distclean 2. ./configure
    >> ---x-toolkit=lucid <RET> 3. make <RET> 4. src/emacs -Q <RET>
    >> 5. Remove menu-bar by eval (menu-bar-mode -1) <RET> 6. <F10>
    >> 7. popup menu appears 8. popup menu navigable via mouse but not
    >> via arrow keys.  9. End
    >> 
    >> 
    >> 
    >> 
    >> 
    >> In GNU Emacs 28.0.50 (build 1, i686-pc-linux-gnu, X toolkit,
    >> cairo version 1.14.8, Xaw3d scroll bars) of 2021-03-07 built on
    >> bluestar Repository revision:
    >> 8558ecd65fc1c87345353f6352299df04280e729 Repository branch:
    >> master System Description: Debian GNU/Linux 9 (stretch)
    >> 
    >> Configured using: 'configure --with-x-toolkit=lucid'

    > Works here but is broken for motif.  If the breakage is recent,
    > you will have to bisect.

Thanks. Rather than bisect I cloned a fresh emacs. I still get the same
issue: menu works with mouse but not arrow keys. What would a bisect do
that a fresh clone doesn't?

Best wishes,




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46990; Package emacs. Full text available.

Message received at 46990 <at> debbugs.gnu.org:


Received: (at 46990) by debbugs.gnu.org; 8 Mar 2021 08:26:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 08 03:26:14 2021
Received: from localhost ([127.0.0.1]:42028 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJBDS-0000LM-07
	for submit <at> debbugs.gnu.org; Mon, 08 Mar 2021 03:26:14 -0500
Received: from mout.gmx.net ([212.227.15.19]:53015)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1lJBDP-0000L6-Nq
 for 46990 <at> debbugs.gnu.org; Mon, 08 Mar 2021 03:26:12 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1615191965;
 bh=YMCy1e3uQUWHGIufCGYRR0ySXF7B6NDy1at4tC3tVrM=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=Zj42ISKgDiYtc5zxEUbu5zyTJbHYJ7xai5yLNAEz1ywW3eyCZonggQSILQII1qaQz
 de4LjwtmEjZ19uTszmGE3rAHkAitrmEmiKrEiinz9jqg6vFZe5LgAhwJZImoex6geY
 2Y+DuKHXnsrt6GkU0owDrcjrmZj0x+tgGpsUpAjA=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([212.95.5.150]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MdNcA-1lsEur2X8S-00ZNH8; Mon, 08
 Mar 2021 09:26:05 +0100
Subject: Re: bug#46990: 28.0.50; popup menu not navigable via arrow keys on
 lucid build
To: Colin Baxter <m43cap@HIDDEN>, 46990 <at> debbugs.gnu.org
References: <87pn0alx4d.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <09d5ad8c-7ba3-7e7f-215e-a9b3e475a240@HIDDEN>
Date: Mon, 8 Mar 2021 09:26:04 +0100
MIME-Version: 1.0
In-Reply-To: <87pn0alx4d.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:ZvL4RecVF/DrWeWVJe8jnijyUjTc9VLfZAgWVgcnzKEcaTHsFQT
 mV4Y4W9PDbq2ex6GOIdQkqk5u3VAdtbAHHK7tYPgfab8Voto2pZq2MF6sfmdS42IL95ZT9/
 PXeQLlmdZwUsYZT6MIJK4UJ4eGo0bnkBYjwsiG1n7oR8mwTU31DtBRd58Cc5/vy1h1PLofe
 XCKFFoTqvcXyjIoWaD65Q==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:1KelcA9+TL4=:UKdlaH8lzHaABG2j7cBQUA
 X2GGK7JqbAjQt6DruU8EuTLhsOtv2yPOBl2qldsW+ORlUdXevFkjlvmBG3qm+HlHzutiWYteu
 MXqGYKyw628or3WBWCr5HBx5g27vgSM9wgM5Ae+o92Fz9MIjY8Rl2WZCj03W+AE0ktNwuEE2M
 CCU+ysUMQAuX7wzGcymlQ5a2aJWI2TXkDoF8sQITgr2FDyM/2k0rbAJ4ooKSpLUopZbmVlckX
 YuhKje0mdqWz6Gcq4QU0A/mUAxiRIoEsd+A5QODo9YhIFCD9nciJjXHfIwJS/vZZPfhIqKjjF
 +pdFkPCJgPEK8reX96au3SQq9SKh+53lpv0tsT9m0PKaCpnq8MmYVs5RTDyUexKfoaOu2+QIO
 CnePyBu4DAzUcxEU4bENfJTlAWBG5yD2o1WockjWs5LGICniVU93Dkq2hXR4OeCVjffOJ0gEO
 OHlBDoucefEZlc/G0elcfQzZCRnaLqQYBaefPyagHqRweQmBUbIbWeh9A1uRLOoPFvceiWf1l
 vEBDe17Sc/IHCN9kM+112ucUl9KhRDuKISLCUeM+LUe39DzaRuEtRJGvjBd3X/NUo7SPn3jGy
 w88MmLUgK2jv/x4zzcjCfcrXwQEUmqESq3NzGzfZprA7ZR6l3DuvccnZ5MeI56moJWzYe/bha
 KKnunOFYny38dUK60Sc7wONgNLD/6gSZXY3sSVs5u6d86pjpdrCFTf0tmjgaqDY+mTjPJUINq
 rPQ54OLPtT8hA92au3rrmHhVuiF7z6xJoE21UEoLGGM8z+ydRs9KfVFZBRcKy7xtfkvDGN67s
 QF4XtDMbTVZtKmQWgXxkQYVFdPwhdDh+iD1W3+pKiwBCloP8JVx5UeUW8HvGdPHbr/xBH087H
 YdbqFHUXCF4fII3EDakA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46990
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > 1. make clean and make distclean
 > 2. ./configure ---x-toolkit=lucid <RET>
 > 3. make <RET>
 > 4. src/emacs -Q <RET>
 > 5. Remove menu-bar by eval (menu-bar-mode -1) <RET>
 > 6. <F10>
 > 7. popup menu appears
 > 8. popup menu navigable via mouse but not via arrow keys.
 > 9. End
 >
 >
 >
 >
 >
 > In GNU Emacs 28.0.50 (build 1, i686-pc-linux-gnu, X toolkit, cairo version 1.14.8, Xaw3d scroll bars)
 >   of 2021-03-07 built on bluestar
 > Repository revision: 8558ecd65fc1c87345353f6352299df04280e729
 > Repository branch: master
 > System Description: Debian GNU/Linux 9 (stretch)
 >
 > Configured using:
 >   'configure --with-x-toolkit=lucid'

Works here but is broken for motif.  If the breakage is recent, you will
have to bisect.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46990; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Mar 2021 16:58:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 07 11:58:11 2021
Received: from localhost ([127.0.0.1]:41259 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lIwjK-0002gz-8E
	for submit <at> debbugs.gnu.org; Sun, 07 Mar 2021 11:58:11 -0500
Received: from lists.gnu.org ([209.51.188.17]:53090)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m43cap@HIDDEN>) id 1lIwjH-0002gp-8w
 for submit <at> debbugs.gnu.org; Sun, 07 Mar 2021 11:58:09 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:52662)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <m43cap@HIDDEN>) id 1lIwjG-0006ra-JR
 for bug-gnu-emacs@HIDDEN; Sun, 07 Mar 2021 11:58:06 -0500
Received: from forward102j.mail.yandex.net ([5.45.198.243]:51475)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <m43cap@HIDDEN>) id 1lIwjB-0007lG-JO
 for bug-gnu-emacs@HIDDEN; Sun, 07 Mar 2021 11:58:06 -0500
Received: from sas1-4247d44491ad.qloud-c.yandex.net
 (sas1-4247d44491ad.qloud-c.yandex.net
 [IPv6:2a02:6b8:c08:f31e:0:640:4247:d444])
 by forward102j.mail.yandex.net (Yandex) with ESMTP id 6D858F2340A
 for <bug-gnu-emacs@HIDDEN>; Sun,  7 Mar 2021 19:57:57 +0300 (MSK)
Received: from sas1-27140bb19246.qloud-c.yandex.net
 (sas1-27140bb19246.qloud-c.yandex.net [2a02:6b8:c08:1803:0:640:2714:bb1])
 by sas1-4247d44491ad.qloud-c.yandex.net (mxback/Yandex) with ESMTP id
 DRpg6YvQWM-vvIGB8jB; Sun, 07 Mar 2021 19:57:57 +0300
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.com; s=mail;
 t=1615136277; bh=cSPCeJlEf+aTqZLi0lysRbCl4x3WfVqoQXp1feI1lYw=;
 h=Subject:To:From:Date:Message-Id;
 b=A+OMzbZ4XZiBx8oCiFXMXPszFIg9z1UmEXDhXLItXAghFkbz142R0UpzeXd66OIkL
 e6VAvIEfIPYNmf6NcyvwHXpfAsb045Np12sTlQfBerODFJbyeB4usLoOpXR7pgj0cn
 NBiLp/mU6SXb+2i2uZovvhdLE+TeUP9/04rHm8PE=
Authentication-Results: sas1-4247d44491ad.qloud-c.yandex.net;
 dkim=pass header.i=@yandex.com
Received: by sas1-27140bb19246.qloud-c.yandex.net (smtp/Yandex) with ESMTPSA
 id p5gSS5zrpp-vtJKJf65; Sun, 07 Mar 2021 19:57:56 +0300
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (Client certificate not present)
Date: Sun, 07 Mar 2021 16:57:54 +0000
Message-Id: <87pn0alx4d.fsf@HIDDEN>
From: Colin Baxter <m43cap@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; popup menu not navigable via arrow keys on lucid build
Received-SPF: pass client-ip=5.45.198.243; envelope-from=m43cap@HIDDEN;
 helo=forward102j.mail.yandex.net
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=-0.01, RCVD_IN_MSPIKE_WL=-0.01,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


1. make clean and make distclean
2. ./configure ---x-toolkit=lucid <RET>
3. make <RET>
4. src/emacs -Q <RET>
5. Remove menu-bar by eval (menu-bar-mode -1) <RET>
6. <F10>
7. popup menu appears
8. popup menu navigable via mouse but not via arrow keys.
9. End





In GNU Emacs 28.0.50 (build 1, i686-pc-linux-gnu, X toolkit, cairo version 1.14.8, Xaw3d scroll bars)
 of 2021-03-07 built on bluestar
Repository revision: 8558ecd65fc1c87345353f6352299df04280e729
Repository branch: master
System Description: Debian GNU/Linux 9 (stretch)

Configured using:
 'configure --with-x-toolkit=lucid'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ
JPEG LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES
NOTIFY INOTIFY PDUMPER PNG RSVG SOUND THREADS TIFF TOOLKIT_SCROLL_BARS
X11 XAW3D XDBE XIM XPM LUCID ZLIB

Important settings:
  value of $LANG: en_GB.utf8
  locale-coding-system: utf-8

Major mode: Summary

Minor modes in effect:
  gnus-mailing-list-mode: t
  recentf-mode: t
  auto-insert-mode: t
  global-emojify-mode: t
  emojify-mode: t
  xclip-mode: t
  shell-dirtrack-mode: t
  savehist-mode: t
  xterm-mouse-mode: t
  display-time-mode: t
  show-paren-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/redknight/git/emacs-w3m/w3m-session hides /home/redknight/.emacs.d/lisp/w3m-session
/home/redknight/.emacs.d/lisp/wc-mode hides /home/redknight/.emacs.d/lisp/misc/wc-mode
/home/redknight/.emacs.d/lisp/so-long hides /home/redknight/git/emacs/lisp/so-long
/home/redknight/git/org-mode/lisp/org-id hides /home/redknight/git/emacs/lisp/org/org-id
/home/redknight/git/org-mode/lisp/ob-gnuplot hides /home/redknight/git/emacs/lisp/org/ob-gnuplot
/home/redknight/git/org-mode/lisp/ob-eval hides /home/redknight/git/emacs/lisp/org/ob-eval
/home/redknight/git/org-mode/lisp/ol-bibtex hides /home/redknight/git/emacs/lisp/org/ol-bibtex
/home/redknight/git/org-mode/lisp/ox-latex hides /home/redknight/git/emacs/lisp/org/ox-latex
/home/redknight/git/org-mode/lisp/ob-fortran hides /home/redknight/git/emacs/lisp/org/ob-fortran
/home/redknight/git/org-mode/lisp/ob-forth hides /home/redknight/git/emacs/lisp/org/ob-forth
/home/redknight/git/org-mode/lisp/ob-ruby hides /home/redknight/git/emacs/lisp/org/ob-ruby
/home/redknight/git/org-mode/lisp/ob-stan hides /home/redknight/git/emacs/lisp/org/ob-stan
/home/redknight/git/org-mode/lisp/ob hides /home/redknight/git/emacs/lisp/org/ob
/home/redknight/git/org-mode/lisp/ob-python hides /home/redknight/git/emacs/lisp/org/ob-python
/home/redknight/git/org-mode/lisp/ol-gnus hides /home/redknight/git/emacs/lisp/org/ol-gnus
/home/redknight/git/org-mode/lisp/ob-js hides /home/redknight/git/emacs/lisp/org/ob-js
/home/redknight/git/org-mode/lisp/ob-plantuml hides /home/redknight/git/emacs/lisp/org/ob-plantuml
/home/redknight/git/org-mode/lisp/ob-vala hides /home/redknight/git/emacs/lisp/org/ob-vala
/home/redknight/git/org-mode/lisp/org-capture hides /home/redknight/git/emacs/lisp/org/org-capture
/home/redknight/git/org-mode/lisp/ox-texinfo hides /home/redknight/git/emacs/lisp/org/ox-texinfo
/home/redknight/git/org-mode/lisp/ox-odt hides /home/redknight/git/emacs/lisp/org/ox-odt
/home/redknight/git/org-mode/lisp/ob-R hides /home/redknight/git/emacs/lisp/org/ob-R
/home/redknight/git/org-mode/lisp/org-mobile hides /home/redknight/git/emacs/lisp/org/org-mobile
/home/redknight/git/org-mode/lisp/ob-calc hides /home/redknight/git/emacs/lisp/org/ob-calc
/home/redknight/git/org-mode/lisp/org-plot hides /home/redknight/git/emacs/lisp/org/org-plot
/home/redknight/git/org-mode/lisp/ob-haskell hides /home/redknight/git/emacs/lisp/org/ob-haskell
/home/redknight/git/org-mode/lisp/ob-sed hides /home/redknight/git/emacs/lisp/org/ob-sed
/home/redknight/git/org-mode/lisp/ob-ocaml hides /home/redknight/git/emacs/lisp/org/ob-ocaml
/home/redknight/git/org-mode/lisp/org-keys hides /home/redknight/git/emacs/lisp/org/org-keys
/home/redknight/git/org-mode/lisp/ob-exp hides /home/redknight/git/emacs/lisp/org/ob-exp
/home/redknight/git/org-mode/lisp/ob-C hides /home/redknight/git/emacs/lisp/org/ob-C
/home/redknight/git/org-mode/lisp/ob-ebnf hides /home/redknight/git/emacs/lisp/org/ob-ebnf
/home/redknight/git/org-mode/lisp/ob-makefile hides /home/redknight/git/emacs/lisp/org/ob-makefile
/home/redknight/git/org-mode/lisp/ol-rmail hides /home/redknight/git/emacs/lisp/org/ol-rmail
/home/redknight/git/org-mode/lisp/org-attach hides /home/redknight/git/emacs/lisp/org/org-attach
/home/redknight/git/org-mode/lisp/ob-shell hides /home/redknight/git/emacs/lisp/org/ob-shell
/home/redknight/git/org-mode/lisp/ob-mscgen hides /home/redknight/git/emacs/lisp/org/ob-mscgen
/home/redknight/git/org-mode/lisp/ob-css hides /home/redknight/git/emacs/lisp/org/ob-css
/home/redknight/git/org-mode/lisp/org-macs hides /home/redknight/git/emacs/lisp/org/org-macs
/home/redknight/git/org-mode/lisp/org-macro hides /home/redknight/git/emacs/lisp/org/org-macro
/home/redknight/git/org-mode/lisp/org-colview hides /home/redknight/git/emacs/lisp/org/org-colview
/home/redknight/git/org-mode/lisp/org-archive hides /home/redknight/git/emacs/lisp/org/org-archive
/home/redknight/git/org-mode/lisp/ol-bbdb hides /home/redknight/git/emacs/lisp/org/ol-bbdb
/home/redknight/git/org-mode/lisp/ob-octave hides /home/redknight/git/emacs/lisp/org/ob-octave
/home/redknight/git/org-mode/lisp/org-list hides /home/redknight/git/emacs/lisp/org/org-list
/home/redknight/git/org-mode/lisp/org-protocol hides /home/redknight/git/emacs/lisp/org/org-protocol
/home/redknight/git/org-mode/lisp/org-duration hides /home/redknight/git/emacs/lisp/org/org-duration
/home/redknight/git/org-mode/lisp/ob-screen hides /home/redknight/git/emacs/lisp/org/ob-screen
/home/redknight/git/org-mode/lisp/ob-matlab hides /home/redknight/git/emacs/lisp/org/ob-matlab
/home/redknight/git/org-mode/lisp/ol-w3m hides /home/redknight/git/emacs/lisp/org/ol-w3m
/home/redknight/git/org-mode/lisp/ol hides /home/redknight/git/emacs/lisp/org/ol
/home/redknight/git/org-mode/lisp/ob-java hides /home/redknight/git/emacs/lisp/org/ob-java
/home/redknight/git/org-mode/lisp/ob-perl hides /home/redknight/git/emacs/lisp/org/ob-perl
/home/redknight/git/org-mode/lisp/org-tempo hides /home/redknight/git/emacs/lisp/org/org-tempo
/home/redknight/git/org-mode/lisp/org-clock hides /home/redknight/git/emacs/lisp/org/org-clock
/home/redknight/git/org-mode/lisp/org hides /home/redknight/git/emacs/lisp/org/org
/home/redknight/git/org-mode/lisp/ob-processing hides /home/redknight/git/emacs/lisp/org/ob-processing
/home/redknight/git/org-mode/lisp/ob-sass hides /home/redknight/git/emacs/lisp/org/ob-sass
/home/redknight/git/org-mode/lisp/ox-md hides /home/redknight/git/emacs/lisp/org/ox-md
/home/redknight/git/org-mode/lisp/org-lint hides /home/redknight/git/emacs/lisp/org/org-lint
/home/redknight/git/org-mode/lisp/org-goto hides /home/redknight/git/emacs/lisp/org/org-goto
/home/redknight/git/org-mode/lisp/ob-eshell hides /home/redknight/git/emacs/lisp/org/ob-eshell
/home/redknight/git/org-mode/lisp/org-pcomplete hides /home/redknight/git/emacs/lisp/org/org-pcomplete
/home/redknight/git/org-mode/lisp/ob-picolisp hides /home/redknight/git/emacs/lisp/org/ob-picolisp
/home/redknight/git/org-mode/lisp/org-habit hides /home/redknight/git/emacs/lisp/org/org-habit
/home/redknight/git/org-mode/lisp/ob-table hides /home/redknight/git/emacs/lisp/org/ob-table
/home/redknight/git/org-mode/lisp/ox-publish hides /home/redknight/git/emacs/lisp/org/ox-publish
/home/redknight/git/org-mode/lisp/ox-beamer hides /home/redknight/git/emacs/lisp/org/ox-beamer
/home/redknight/git/org-mode/lisp/org-src hides /home/redknight/git/emacs/lisp/org/org-src
/home/redknight/git/org-mode/lisp/org-table hides /home/redknight/git/emacs/lisp/org/org-table
/home/redknight/git/org-mode/lisp/ob-lilypond hides /home/redknight/git/emacs/lisp/org/ob-lilypond
/home/redknight/git/org-mode/lisp/ox-org hides /home/redknight/git/emacs/lisp/org/ox-org
/home/redknight/git/org-mode/lisp/org-indent hides /home/redknight/git/emacs/lisp/org/org-indent
/home/redknight/git/org-mode/lisp/org-feed hides /home/redknight/git/emacs/lisp/org/org-feed
/home/redknight/git/org-mode/lisp/ox-icalendar hides /home/redknight/git/emacs/lisp/org/ox-icalendar
/home/redknight/git/org-mode/lisp/ol-info hides /home/redknight/git/emacs/lisp/org/ol-info
/home/redknight/git/org-mode/lisp/org-compat hides /home/redknight/git/emacs/lisp/org/org-compat
/home/redknight/git/org-mode/lisp/org-ctags hides /home/redknight/git/emacs/lisp/org/org-ctags
/home/redknight/git/org-mode/lisp/ob-groovy hides /home/redknight/git/emacs/lisp/org/ob-groovy
/home/redknight/git/org-mode/lisp/ob-scheme hides /home/redknight/git/emacs/lisp/org/ob-scheme
/home/redknight/git/org-mode/lisp/ob-lob hides /home/redknight/git/emacs/lisp/org/ob-lob
/home/redknight/git/org-mode/lisp/org-timer hides /home/redknight/git/emacs/lisp/org/org-timer
/home/redknight/git/org-mode/lisp/ob-ref hides /home/redknight/git/emacs/lisp/org/ob-ref
/home/redknight/git/org-mode/lisp/ob-io hides /home/redknight/git/emacs/lisp/org/ob-io
/home/redknight/git/org-mode/lisp/org-crypt hides /home/redknight/git/emacs/lisp/org/org-crypt
/home/redknight/git/org-mode/lisp/ox-ascii hides /home/redknight/git/emacs/lisp/org/ox-ascii
/home/redknight/git/org-mode/lisp/org-footnote hides /home/redknight/git/emacs/lisp/org/org-footnote
/home/redknight/git/org-mode/lisp/ob-lisp hides /home/redknight/git/emacs/lisp/org/ob-lisp
/home/redknight/git/org-mode/lisp/ob-lua hides /home/redknight/git/emacs/lisp/org/ob-lua
/home/redknight/git/org-mode/lisp/org-faces hides /home/redknight/git/emacs/lisp/org/org-faces
/home/redknight/git/org-mode/lisp/org-inlinetask hides /home/redknight/git/emacs/lisp/org/org-inlinetask
/home/redknight/git/org-mode/lisp/org-num hides /home/redknight/git/emacs/lisp/org/org-num
/home/redknight/git/org-mode/lisp/ob-maxima hides /home/redknight/git/emacs/lisp/org/ob-maxima
/home/redknight/git/org-mode/lisp/ob-tangle hides /home/redknight/git/emacs/lisp/org/ob-tangle
/home/redknight/git/org-mode/lisp/org-attach-git hides /home/redknight/git/emacs/lisp/org/org-attach-git
/home/redknight/git/org-mode/lisp/ox-man hides /home/redknight/git/emacs/lisp/org/ox-man
/home/redknight/git/org-mode/lisp/ob-ditaa hides /home/redknight/git/emacs/lisp/org/ob-ditaa
/home/redknight/git/org-mode/lisp/ob-shen hides /home/redknight/git/emacs/lisp/org/ob-shen
/home/redknight/git/org-mode/lisp/org-element hides /home/redknight/git/emacs/lisp/org/org-element
/home/redknight/git/org-mode/lisp/org-version hides /home/redknight/git/emacs/lisp/org/org-version
/home/redknight/git/org-mode/lisp/org-loaddefs hides /home/redknight/git/emacs/lisp/org/org-loaddefs
/home/redknight/git/org-mode/lisp/ob-core hides /home/redknight/git/emacs/lisp/org/ob-core
/home/redknight/git/org-mode/lisp/ob-J hides /home/redknight/git/emacs/lisp/org/ob-J
/home/redknight/git/org-mode/lisp/org-datetree hides /home/redknight/git/emacs/lisp/org/org-datetree
/home/redknight/git/org-mode/lisp/org-mouse hides /home/redknight/git/emacs/lisp/org/org-mouse
/home/redknight/git/org-mode/lisp/ol-irc hides /home/redknight/git/emacs/lisp/org/ol-irc
/home/redknight/git/org-mode/lisp/ob-abc hides /home/redknight/git/emacs/lisp/org/ob-abc
/home/redknight/git/org-mode/lisp/ob-ledger hides /home/redknight/git/emacs/lisp/org/ob-ledger
/home/redknight/git/org-mode/lisp/ob-hledger hides /home/redknight/git/emacs/lisp/org/ob-hledger
/home/redknight/git/org-mode/lisp/ob-sqlite hides /home/redknight/git/emacs/lisp/org/ob-sqlite
/home/redknight/git/org-mode/lisp/ob-org hides /home/redknight/git/emacs/lisp/org/ob-org
/home/redknight/git/org-mode/lisp/ol-docview hides /home/redknight/git/emacs/lisp/org/ol-docview
/home/redknight/git/org-mode/lisp/ob-comint hides /home/redknight/git/emacs/lisp/org/ob-comint
/home/redknight/git/org-mode/lisp/ob-emacs-lisp hides /home/redknight/git/emacs/lisp/org/ob-emacs-lisp
/home/redknight/git/org-mode/lisp/ol-eww hides /home/redknight/git/emacs/lisp/org/ol-eww
/home/redknight/git/org-mode/lisp/ob-clojure hides /home/redknight/git/emacs/lisp/org/ob-clojure
/home/redknight/git/org-mode/lisp/ox-html hides /home/redknight/git/emacs/lisp/org/ox-html
/home/redknight/git/org-mode/lisp/org-install hides /home/redknight/git/emacs/lisp/org/org-install
/home/redknight/git/org-mode/lisp/org-entities hides /home/redknight/git/emacs/lisp/org/org-entities
/home/redknight/git/org-mode/lisp/ox hides /home/redknight/git/emacs/lisp/org/ox
/home/redknight/git/org-mode/lisp/ob-sql hides /home/redknight/git/emacs/lisp/org/ob-sql
/home/redknight/git/org-mode/lisp/org-agenda hides /home/redknight/git/emacs/lisp/org/org-agenda
/home/redknight/git/org-mode/lisp/ol-mhe hides /home/redknight/git/emacs/lisp/org/ol-mhe
/home/redknight/git/org-mode/lisp/ol-eshell hides /home/redknight/git/emacs/lisp/org/ol-eshell
/home/redknight/git/org-mode/lisp/ob-awk hides /home/redknight/git/emacs/lisp/org/ob-awk
/home/redknight/git/org-mode/lisp/ob-dot hides /home/redknight/git/emacs/lisp/org/ob-dot
/home/redknight/git/org-mode/lisp/ob-latex hides /home/redknight/git/emacs/lisp/org/ob-latex
/home/redknight/git/org-mode/lisp/org-refile hides /home/redknight/git/emacs/lisp/org/org-refile
/home/redknight/git/org-mode/lisp/ob-coq hides /home/redknight/git/emacs/lisp/org/ob-coq
/home/redknight/git/org-mode/lisp/ob-asymptote hides /home/redknight/git/emacs/lisp/org/ob-asymptote

Features:
(shadow mailalias emacsbug qp mule-util gnus-gravatar gravatar dns
cl-extra sort smiley gnus-cite mail-extr gnus-async gnus-bcklg gnus-ml
gnus-topic mm-archive url-http url-gw url-cache url-auth url-handlers
utf-7 nnrss mm-url nndraft nnmh nnml executable time-stamp bbdb-gnus
bbdb-message sendmail epa-file gnutls network-stream nsm gnus-agent
gnus-srvr gnus-score score-mode nnvirtual gnus-msg nntp gnus-cache
gnus-article-treat-patch diff-mode gnus-registry registry eieio-base
gnus-icalendar org-capture icalendar diary-lib diary-loaddefs gnus-art
mm-uu mml2015 mm-view mml-smime smime dig gnus-sum shr kinsoku svg dom
browse-url gnus-group gnus-undo gnus-fun gnus-start gnus-dbus dbus xml
gnus-cloud nnimap nnmail mail-source utf7 nnoo gnus-spec gnus-int
gnus-range message rmc puny rfc822 mml mml-sec epa epg epg-config
mm-decode mm-bodies mm-encode mail-parse rfc2231 gmm-utils mailheader
gnus-win gnus nnheader gnus-util rmail rmail-loaddefs rfc2047 rfc2045
ietf-drums mail-utils mm-util mail-prsvr term/xterm xterm flyspell
simple-dark-theme ibuffer ibuffer-loaddefs bookmark recentf
tree-widget autoinsert printing ps-print ps-print-loaddefs ps-def lpr
url url-proxy url-privacy url-expand url-methods url-history
url-cookie url-domsuf url-util mailcap ssh ovpn-mode netrc auto-loads
tex-site image-dired+ help-mode dired+ image-dired image-mode exif
image-file image-converter dired-x dired-aux muse-texinfo texnfo-upd
texinfo muse-latex muse-html muse-xml-common muse-publish muse-project
muse-protocols info muse-regexps muse muse-nested-tags muse-mode
page-break-lines ox-bibtex ox-texinfo reftex-cite reftex
reftex-loaddefs reftex-vars org-screenshot emojify apropos tar-mode
arc-mode archive-mode ht dash iimage ob-sqlite ob-shell ob-ruby ob-R
ob-python python tramp-sh tramp tramp-loaddefs trampver
tramp-integration files-x tramp-compat parse-time iso8601 ls-lisp
ob-plantuml ob-org ob-perl ob-lisp ob-latex ob-gnuplot ob-fortran
ob-eshell eshell esh-cmd esh-ext esh-opt esh-proc esh-io esh-arg
esh-module esh-groups esh-util ob-dot ob-ditaa ob-calc calc-store
calc-trail calc-ext calc calc-loaddefs calc-macs ob-C cc-mode cc-fonts
cc-guess cc-menus cc-cmds ob-awk org-crypt ido ox-epub ox-odt rng-loc
rng-uri rng-parse rng-match rng-dt rng-util rng-pttrn nxml-parse
nxml-ns nxml-enc xmltok nxml-util ox-latex ox-icalendar ox-html table
ox-ascii ox-publish ox org-element avl-tree org-habit org-agenda
org-refile org ob ob-tangle ob-ref ob-lob ob-table ob-exp org-macro
org-footnote org-src ob-comint org-pcomplete org-list org-faces
org-entities time-date noutline outline org-version ob-emacs-lisp
ob-core ob-eval org-table ol org-keys org-compat org-macs org-loaddefs
format-spec find-func cal-menu calendar cal-loaddefs wc-mode xclip
bbdb-mua bbdb-com crm mailabbrev bbdb bbdb-site timezone bbdb-loaddefs
insert-shebang ggtags hippie-exp edmacro kmacro easy-mmode derived
pcase etags fileloop generator xref project ewoc url-parse auth-source
cl-seq eieio eieio-core cl-macs eieio-loaddefs password-cache json
subr-x map seq byte-opt bytecomp byte-compile cconv url-vars xcscope
lusty-explorer dired dired-loaddefs htmlize cl gv multi-term term
disp-table shell pcomplete ehelp synonyms mairix ftnchek-mode compile
text-property-search fortran cus-edit pp wid-edit cc-styles cc-align
cc-engine cc-vars cc-defs cpan comint ansi-color ring savehist ispell
xt-mouse time so-long linum-ex isearch+ isearch-prop thingatpt+
thingatpt color advice heaven-and-hell paren cus-start cus-load
slime-autoloads cl-loaddefs cl-lib early-init iso-transl tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode
elisp-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core term/tty-colors frame minibuffer
cl-generic cham georgian utf-8-lang misc-lang vietnamese tibetan thai
tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek romanian
slovak czech european ethiopic indian cyrillic chinese composite
charscript charprop case-table epa-hook jka-cmpr-hook help simple
abbrev obarray cl-preloaded nadvice button loaddefs faces cus-face
macroexp files window text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
threads dbusbind inotify lcms2 dynamic-setting system-font-setting
font-render-setting cairo x-toolkit x multi-tty make-network-process
emacs)

Memory information:
((conses 8 540719 74183)
 (symbols 24 44927 95)
 (strings 16 237212 11449)
 (string-bytes 1 8153531)
 (vectors 8 95045)
 (vector-slots 4 3052470 73806)
 (floats 8 693 1036)
 (intervals 28 917 309)
 (buffers 564 33))




Acknowledgement sent to Colin Baxter <m43cap@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#46990; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 11 Mar 2021 14:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.